"""A setuptools based setup module.

See:
https://packaging.python.org/guides/distributing-packages-using-setuptools/
https://github.com/pypa/sampleproject
"""

# Always prefer setuptools over distutils
from setuptools import setup, find_packages
import pathlib

here = pathlib.Path(__file__).parent.resolve()

# Get the long description from the README file
long_description = (here / 'README.md').read_text(encoding='utf-8')

# Arguments marked as "Required" below must be included for upload to PyPI.
# Fields marked as "Optional" may be commented out.

setup(
    # name='nmreval',  # Required
    # version='0.1',  # Required
    # description='A sample Python project',  # Optional
    # long_description=long_description,  # Optional
    # long_description_content_type='text/markdown',  # Optional (see note above)
    # url='https://chaos3.fkp.physik.tu-darmstadt.de/source/nmreval/', # Optional
    # author='Dominik Demuth',  # Optional
    # author_email='dominik.demuth@physik.tu-darmstadt.de',  # Optional
    # classifiers=[  # Optional
    #     'Development Status :: 3 - Alpha',
    #     'Intended Audience :: End Users/Desktop',
    #     'Intended Audience :: Science/Research',
    #     'Topic :: Scientific/Engineering :: Physics',
    #     'Topic :: Scientific/Engineering :: Visualization',
    #     'License :: OSI Approved :: BSD 3-Clause License',
    #     'Programming Language :: Python :: 3',
    #     'Programming Language :: Python :: 3.7',
    #     'Programming Language :: Python :: 3.8',
    #     'Programming Language :: Python :: 3.9',
    #     "Programming Language :: Python :: 3.10",
    #     'Programming Language :: Python :: 3 :: Only',
    # ],
    #
    # keywords='nmr, physics, science',  # Optional
    # package_dir={'': '.'},  # Optional
    # packages=find_packages(where='.'),  # Required
    # include_package_data=True,
    # python_requires='>=3.7',
    # install_requires=[
    #     'numpy',
    #     'scipy',
    #     'matplotlib',
    #     'bsddb3',
    #     'pyqtgraph',
    #     'pyqt',
    #     'h5py'
    # ],  # Optional
    # # extras_require={  # Optional
    # #     'dev': ['check-manifest'],
    # #     'test': ['coverage'],
    # # },
    # package_data={  # Optional
    #     'sample': ['package_data.dat'],
    # },
    # data_files=[('my_data', ['data/data_file'])],  # Optional
    # entry_points={  # Optional
    #     'console_scripts': [
    #         'evaluate=bin:evaluate',
    #     ],
    # },
    # project_urls={  # Optional
    #     'Source': 'https://chaos3.fkp.physik.tu-darmstadt.de/source/nmreval/',
    # },
)
